<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>FileCopyDetails (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FileCopyDetails (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/FileSystemLocation.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/FileCopyDetails.html" target="_top">Frames</a></li>
<li><a href="FileCopyDetails.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.file</div>
<h2 title="Interface FileCopyDetails" class="title">Interface FileCopyDetails</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/file/ContentFilterable.html" title="interface in org.gradle.api.file">ContentFilterable</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/NonExtensible.html" title="annotation in org.gradle.api">@NonExtensible</a>
public interface <span class="strong">FileCopyDetails</span>
extends <a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>, <a href="../../../../org/gradle/api/file/ContentFilterable.html" title="interface in org.gradle.api.file">ContentFilterable</a></pre>
<div class="block"><p>Provides details about a file or directory about to be copied, and allows some aspects of the destination file to
 be modified.</p>

 <p>Using this interface, you can change the destination path of the file, filter the content of the file, or exclude
 the file from the result entirely.</p>

 <p>Access to the source file itself after any filters have been added is not a supported operation.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#exclude()">exclude</a></strong>()</code>
<div class="block">Excludes this file from the copy.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/DuplicatesStrategy.html" title="enum in org.gradle.api.file">DuplicatesStrategy</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#getDuplicatesStrategy()">getDuplicatesStrategy</a></strong>()</code>
<div class="block">The strategy to use if there is already a file at this file's destination.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#getName()">getName</a></strong>()</code>
<div class="block">Returns the base name of this file at the copy destination.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#getPath()">getPath</a></strong>()</code>
<div class="block">Returns the path of this file, relative to the root of the copy destination.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/RelativePath.html" title="class in org.gradle.api.file">RelativePath</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#getRelativePath()">getRelativePath</a></strong>()</code>
<div class="block">Returns the path of this file, relative to the root of the copy destination.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/RelativePath.html" title="class in org.gradle.api.file">RelativePath</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#getRelativeSourcePath()">getRelativeSourcePath</a></strong>()</code>
<div class="block">Returns the path of this file, relative to the root of the containing file tree.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#getSourceName()">getSourceName</a></strong>()</code>
<div class="block">Returns the base name of this file at the copy source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#getSourcePath()">getSourcePath</a></strong>()</code>
<div class="block">Returns the path of this file, relative to the root of the containing file tree.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#setDuplicatesStrategy(org.gradle.api.file.DuplicatesStrategy)">setDuplicatesStrategy</a></strong>(<a href="../../../../org/gradle/api/file/DuplicatesStrategy.html" title="enum in org.gradle.api.file">DuplicatesStrategy</a>&nbsp;strategy)</code>
<div class="block">The strategy to use if there is already a file at this file's destination.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#setMode(int)">setMode</a></strong>(int&nbsp;mode)</code>
<div class="block">Sets the Unix permissions of this file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#setName(java.lang.String)">setName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Sets the destination name of this file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#setPath(java.lang.String)">setPath</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Sets the destination path of this file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCopyDetails.html#setRelativePath(org.gradle.api.file.RelativePath)">setRelativePath</a></strong>(<a href="../../../../org/gradle/api/file/RelativePath.html" title="class in org.gradle.api.file">RelativePath</a>&nbsp;path)</code>
<div class="block">Sets the destination path of this file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.file.FileTreeElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a></h3>
<code><a href="../../../../org/gradle/api/file/FileTreeElement.html#copyTo(java.io.File)">copyTo</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#copyTo(java.io.OutputStream)">copyTo</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getFile()">getFile</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getLastModified()">getLastModified</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getMode()">getMode</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getSize()">getSize</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#isDirectory()">isDirectory</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#open()">open</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.file.ContentFilterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/ContentFilterable.html" title="interface in org.gradle.api.file">ContentFilterable</a></h3>
<code><a href="../../../../org/gradle/api/file/ContentFilterable.html#expand(java.util.Map)">expand</a>, <a href="../../../../org/gradle/api/file/ContentFilterable.html#filter(java.lang.Class)">filter</a>, <a href="../../../../org/gradle/api/file/ContentFilterable.html#filter(groovy.lang.Closure)">filter</a>, <a href="../../../../org/gradle/api/file/ContentFilterable.html#filter(java.util.Map,%20java.lang.Class)">filter</a>, <a href="../../../../org/gradle/api/file/ContentFilterable.html#filter(org.gradle.api.Transformer)">filter</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="exclude()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exclude</h4>
<pre>void&nbsp;exclude()</pre>
<div class="block">Excludes this file from the copy.</div>
</li>
</ul>
<a name="setName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>void&nbsp;setName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Sets the destination name of this file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The destination name of this file.</dd></dl>
</li>
</ul>
<a name="setPath(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPath</h4>
<pre>void&nbsp;setPath(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block">Sets the destination path of this file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path of this file.</dd></dl>
</li>
</ul>
<a name="setRelativePath(org.gradle.api.file.RelativePath)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRelativePath</h4>
<pre>void&nbsp;setRelativePath(<a href="../../../../org/gradle/api/file/RelativePath.html" title="class in org.gradle.api.file">RelativePath</a>&nbsp;path)</pre>
<div class="block">Sets the destination path of this file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - the new path for this file.</dd></dl>
</li>
</ul>
<a name="setMode(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMode</h4>
<pre>void&nbsp;setMode(int&nbsp;mode)</pre>
<div class="block">Sets the Unix permissions of this file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>mode</code> - the Unix permissions, e.g. <code>0644</code>.</dd></dl>
</li>
</ul>
<a name="setDuplicatesStrategy(org.gradle.api.file.DuplicatesStrategy)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDuplicatesStrategy</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;setDuplicatesStrategy(<a href="../../../../org/gradle/api/file/DuplicatesStrategy.html" title="enum in org.gradle.api.file">DuplicatesStrategy</a>&nbsp;strategy)</pre>
<div class="block">The strategy to use if there is already a file at this file's destination.</div>
</li>
</ul>
<a name="getDuplicatesStrategy()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDuplicatesStrategy</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../org/gradle/api/file/DuplicatesStrategy.html" title="enum in org.gradle.api.file">DuplicatesStrategy</a>&nbsp;getDuplicatesStrategy()</pre>
<div class="block">The strategy to use if there is already a file at this file's destination.
 <p>
 The value can be set with a case insensitive string of the enum value (e.g. <code>'exclude'</code> for <a href="../../../../org/gradle/api/file/DuplicatesStrategy.html#EXCLUDE"><code>DuplicatesStrategy.EXCLUDE</code></a>).</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the strategy to use for this file.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/file/DuplicatesStrategy.html" title="enum in org.gradle.api.file"><code>DuplicatesStrategy</code></a></dd></dl>
</li>
</ul>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">Returns the base name of this file at the copy destination.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/file/FileTreeElement.html#getName()">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The destination name. Never returns null.</dd></dl>
</li>
</ul>
<a name="getPath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPath</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPath()</pre>
<div class="block">Returns the path of this file, relative to the root of the copy destination.
 <p>
 Always uses '/' as the hierarchy separator, regardless of platform file separator.
 Same as calling <code>getRelativePath().getPathString()</code>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/file/FileTreeElement.html#getPath()">getPath</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The path, relative to the root of the copy destination. Never returns null.</dd></dl>
</li>
</ul>
<a name="getRelativePath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRelativePath</h4>
<pre><a href="../../../../org/gradle/api/file/RelativePath.html" title="class in org.gradle.api.file">RelativePath</a>&nbsp;getRelativePath()</pre>
<div class="block">Returns the path of this file, relative to the root of the copy destination.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/file/FileTreeElement.html#getRelativePath()">getRelativePath</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The path, relative to the root of the copy destination. Never returns null.</dd></dl>
</li>
</ul>
<a name="getSourceName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSourceName()</pre>
<div class="block">Returns the base name of this file at the copy source.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The source name. Never returns null.</dd></dl>
</li>
</ul>
<a name="getSourcePath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourcePath</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSourcePath()</pre>
<div class="block">Returns the path of this file, relative to the root of the containing file tree.
 <p>
 Always uses '/' as the hierarchy separator, regardless of platform file separator.
 Same as calling <code>getRelativeSourcePath().getPathString()</code>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The path, relative to the root of the containing file tree. Never returns null.</dd></dl>
</li>
</ul>
<a name="getRelativeSourcePath()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRelativeSourcePath</h4>
<pre><a href="../../../../org/gradle/api/file/RelativePath.html" title="class in org.gradle.api.file">RelativePath</a>&nbsp;getRelativeSourcePath()</pre>
<div class="block">Returns the path of this file, relative to the root of the containing file tree.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The path, relative to the root of the containing file tree. Never returns null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/FileSystemLocation.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/FileCopyDetails.html" target="_top">Frames</a></li>
<li><a href="FileCopyDetails.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
